Index: src/mged/fbserv.c
===================================================================
--- src/mged/fbserv.c	(revision 54124)
+++ src/mged/fbserv.c	(working copy)
@@ -327,14 +327,14 @@
 #endif
 
     if ((pc = (struct pkg_conn *)malloc(sizeof(struct pkg_conn))) == PKC_NULL) {
-	communications_error("fbserv_makeconn: malloc failure\n");
+	communications_error((char *)"fbserv_makeconn: malloc failure\n");
 	return PKC_ERROR;
     }
 
 #ifdef HAVE_WINSOCK_H
     wVersionRequested = MAKEWORD(1, 1);
     if (WSAStartup(wVersionRequested, &wsaData) != 0) {
-	communications_error("fbserv_makeconn:  could not find a usable WinSock DLL\n");
+	communications_error((char *)"fbserv_makeconn:  could not find a usable WinSock DLL\n");
 	return PKC_ERROR;
     }
 #endif
@@ -518,7 +518,7 @@
 
     want = 5*NET_LONG_LEN;
     if (pkg_send(MSG_RETURN, rbuf, want, pcp) != want)
-	communications_error("pkg_send fb_open reply\n");
+	communications_error((char *)"pkg_send fb_open reply\n");
 
     (void)free(buf);
 }
@@ -554,7 +554,7 @@
 
     /* Don't really free framebuffer */
     if (pkg_send(MSG_RETURN, rbuf, NET_LONG_LEN, pcp) != NET_LONG_LEN)
-	communications_error("pkg_send fb_free reply\n");
+	communications_error((char *)"pkg_send fb_free reply\n");
 
     if (buf)
 	(void)free(buf);
Index: src/mged/buttons.c
===================================================================
--- src/mged/buttons.c	(revision 54124)
+++ src/mged/buttons.c	(working copy)
@@ -110,7 +110,7 @@
 
 struct buttons {
     int bu_code;	/* dm_values.dv_button */
-    char *bu_name;	/* keyboard string */
+    const char *bu_name;	/* keyboard string */
     int (*bu_func)();	/* function to call */
 }  button_table[] = {
     {BV_35_25,		"35,25",	bv_35_25},
@@ -336,7 +336,7 @@
     for (bp = button_table; bp->bu_code >= 0; bp++) {
 	if (bnum != bp->bu_code)
 	    continue;
-	return bp->bu_name;
+	return (char *)bp->bu_name;
     }
 
     {
@@ -347,7 +347,7 @@
 	bu_vls_free(&tmp_vls);
     }
 
-    return "";
+    return (char *)"";
 }
 
 
@@ -914,7 +914,7 @@
  * Returns !0 and prints error message if state mismatch.
  */
 int
-not_state(int desired, char *str)
+not_state(int desired, const char *str)
 {
     if (STATE != desired) {
 	Tcl_AppendResult(INTERP, "Unable to do <", str, "> from ", state_str[STATE], " state.\n", (char *)NULL);
@@ -966,7 +966,7 @@
  * Returns !0 and prints error message if error.
  */
 int
-chg_state(int from, int to, char *str)
+chg_state(int from, int to, const char *str)
 {
     struct dm_list *p;
     struct dm_list *save_dm_list;
@@ -999,7 +999,7 @@
 
 
 void
-state_err(char *str)
+state_err(const char *str)
 {
     Tcl_AppendResult(INTERP, "Unable to do <", str, "> from ", state_str[STATE],
 		     " state.\n", (char *)NULL);
Index: src/mged/titles.c
===================================================================
--- src/mged/titles.c	(revision 54124)
+++ src/mged/titles.c	(working copy)
@@ -42,7 +42,7 @@
 /* should only be accessed via STATE define in mged.h */
 int ged_state;
 
-char *state_str[] = {
+const char *state_str[] = {
     "-ZOT-",
     "VIEWING",
     "SOL PICK",
Index: src/mged/attach.c
===================================================================
--- src/mged/attach.c	(revision 54124)
+++ src/mged/attach.c	(working copy)
@@ -112,10 +112,10 @@
 static fastf_t windowbounds[6] = { XMIN, XMAX, YMIN, YMAX, (int)GED_MIN, (int)GED_MAX };
 
 struct w_dm which_dm[] = {
-    { DM_TYPE_PLOT, "plot", Plot_dm_init },  /* DM_PLOT_INDEX defined in mged_dm.h */
-    { DM_TYPE_PS, "ps", PS_dm_init },      /* DM_PS_INDEX defined in mged_dm.h */
+    { DM_TYPE_PLOT, (char *)"plot", Plot_dm_init },  /* DM_PLOT_INDEX defined in mged_dm.h */
+    { DM_TYPE_PS, (char *)"ps", PS_dm_init },      /* DM_PS_INDEX defined in mged_dm.h */
 #ifdef DM_X
-    { DM_TYPE_X, "X", X_dm_init },
+    { DM_TYPE_X, (char *)"X", X_dm_init },
 #endif /* DM_X */
 #if 0
 /* turn off until working */
@@ -128,7 +128,7 @@
 #endif /* DM_WGL */
 #ifdef DM_OGL
 #  if defined(HAVE_TK)
-    { DM_TYPE_OGL, "ogl", Ogl_dm_init },
+    { DM_TYPE_OGL, (char *)"ogl", Ogl_dm_init },
 #  endif
 #endif /* DM_OGL */
 #ifdef DM_RTGL
Index: src/mged/edsol.c
===================================================================
--- src/mged/edsol.c	(revision 54124)
+++ src/mged/edsol.c	(working copy)
@@ -1880,13 +1880,13 @@
 
 		if (BU_STR_EQUAL(cp, "V")) {
 		    VMOVE(mpt, cli->v);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		} else if (BU_STR_EQUAL(cp, "H")) {
 		    VADD2(mpt, cli->v, cli->h);
-		    *strp = "H";
+		    *strp = (char *)"H";
 		} else {
 		    VMOVE(mpt, cli->v);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		}
 		break;
 	    }
@@ -1899,14 +1899,14 @@
 
 		if (BU_STR_EQUAL(cp, "V")) {
 		    VMOVE(mpt, part->part_V);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		} else if (BU_STR_EQUAL(cp, "H")) {
 		    VADD2(mpt, part->part_V, part->part_H);
-		    *strp = "H";
+		    *strp = (char *)"H";
 		} else {
 		    /* default */
 		    VMOVE(mpt, part->part_V);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		}
 		break;
 	    }
@@ -1924,7 +1924,7 @@
 		} else {
 		    VMOVE(mpt, es_pipept->pp_coord);
 		}
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_METABALL:
@@ -1979,7 +1979,7 @@
 			break;
 		}
 
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_EBM:
@@ -1992,7 +1992,7 @@
 
 		VSETALL(pnt, 0.0);
 		MAT4X3PNT(mpt, ebm->mat, pnt);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_BOT:
@@ -2018,7 +2018,7 @@
 
 		VSETALL(pnt, 0.0);
 		MAT4X3PNT(mpt, dsp->dsp_stom, pnt);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_HF:
@@ -2029,7 +2029,7 @@
 		RT_HF_CK_MAGIC(hf);
 
 		VMOVE(mpt, hf->v);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_VOL:
@@ -2042,7 +2042,7 @@
 
 		VSETALL(pnt, 0.0);
 		MAT4X3PNT(mpt, vol->mat, pnt);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_HALF:
@@ -2052,7 +2052,7 @@
 		RT_HALF_CK_MAGIC(haf);
 
 		VSCALE(mpt, haf->eqn, haf->eqn[H]);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_ARB8:
@@ -2077,7 +2077,7 @@
 
 		/* Default */
 		VMOVE(mpt, arb->pt[0]);
-		*strp = "V1";
+		*strp = (char *)"V1";
 
 		break;
 	    }
@@ -2090,27 +2090,27 @@
 
 		if (BU_STR_EQUAL(cp, "V")) {
 		    VMOVE(mpt, ell->v);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "A")) {
 		    VADD2(mpt, ell->v, ell->a);
-		    *strp = "A";
+		    *strp = (char *)"A";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "B")) {
 		    VADD2(mpt, ell->v, ell->b);
-		    *strp = "B";
+		    *strp = (char *)"B";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "C")) {
 		    VADD2(mpt, ell->v, ell->c);
-		    *strp = "C";
+		    *strp = (char *)"C";
 		    break;
 		}
 		/* Default */
 		VMOVE(mpt, ell->v);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_SUPERELL:
@@ -2121,27 +2121,27 @@
 
 		if (BU_STR_EQUAL(cp, "V")) {
 		    VMOVE(mpt, superell->v);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "A")) {
 		    VADD2(mpt, superell->v, superell->a);
-		    *strp = "A";
+		    *strp = (char *)"A";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "B")) {
 		    VADD2(mpt, superell->v, superell->b);
-		    *strp = "B";
+		    *strp = (char *)"B";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "C")) {
 		    VADD2(mpt, superell->v, superell->c);
-		    *strp = "C";
+		    *strp = (char *)"C";
 		    break;
 		}
 		/* Default */
 		VMOVE(mpt, superell->v);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_TOR:
@@ -2152,12 +2152,12 @@
 
 		if (BU_STR_EQUAL(cp, "V")) {
 		    VMOVE(mpt, tor->v);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		    break;
 		}
 		/* Default */
 		VMOVE(mpt, tor->v);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_TGC:
@@ -2169,37 +2169,37 @@
 
 		if (BU_STR_EQUAL(cp, "V")) {
 		    VMOVE(mpt, tgc->v);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "H")) {
 		    VMOVE(mpt, tgc->h);
-		    *strp = "H";
+		    *strp = (char *)"H";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "A")) {
 		    VMOVE(mpt, tgc->a);
-		    *strp = "A";
+		    *strp = (char *)"A";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "B")) {
 		    VMOVE(mpt, tgc->b);
-		    *strp = "B";
+		    *strp = (char *)"B";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "C")) {
 		    VMOVE(mpt, tgc->c);
-		    *strp = "C";
+		    *strp = (char *)"C";
 		    break;
 		}
 		if (BU_STR_EQUAL(cp, "D")) {
 		    VMOVE(mpt, tgc->d);
-		    *strp = "D";
+		    *strp = (char *)"D";
 		    break;
 		}
 		/* Default */
 		VMOVE(mpt, tgc->v);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_BSPLINE:
@@ -2225,7 +2225,7 @@
 		    (struct rt_grip_internal *)ip->idb_ptr;
 		RT_GRIP_CK_MAGIC(gip);
 		VMOVE(mpt, gip->center);
-		*strp = "C";
+		*strp = (char *)"C";
 		break;
 	    }
 	case ID_ARS:
@@ -2240,7 +2240,7 @@
 		    VMOVE(mpt, &ars->curves[es_ars_crv][es_ars_col*3]);
 		}
 
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_RPC:
@@ -2250,7 +2250,7 @@
 		RT_RPC_CK_MAGIC(rpc);
 
 		VMOVE(mpt, rpc->rpc_V);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_RHC:
@@ -2260,7 +2260,7 @@
 		RT_RHC_CK_MAGIC(rhc);
 
 		VMOVE(mpt, rhc->rhc_V);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_EPA:
@@ -2270,7 +2270,7 @@
 		RT_EPA_CK_MAGIC(epa);
 
 		VMOVE(mpt, epa->epa_V);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_EHY:
@@ -2280,7 +2280,7 @@
 		RT_EHY_CK_MAGIC(ehy);
 
 		VMOVE(mpt, ehy->ehy_V);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_HYP:
@@ -2290,7 +2290,7 @@
 		RT_HYP_CK_MAGIC(hyp);
 
 		VMOVE(mpt, hyp->hyp_Vi);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_ETO:
@@ -2300,7 +2300,7 @@
 		RT_ETO_CK_MAGIC(eto);
 
 		VMOVE(mpt, eto->eto_V);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_POLY:
@@ -2312,7 +2312,7 @@
 
 		_poly = pg->poly;
 		VMOVE(mpt, _poly->verts);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_SKETCH:
@@ -2322,7 +2322,7 @@
 		RT_SKETCH_CK_MAGIC(skt);
 
 		VMOVE(mpt, skt->V);
-		*strp = "V";
+		*strp = (char *)"V";
 		break;
 	    }
 	case ID_EXTRUDE:
@@ -2333,10 +2333,10 @@
 
 		if (extr->skt && extr->skt->verts) {
 		    VJOIN2(mpt, extr->V, extr->skt->verts[0][0], extr->u_vec, extr->skt->verts[0][1], extr->v_vec);
-		    *strp = "V1";
+		    *strp = (char *)"V1";
 		} else {
 		    VMOVE(mpt, extr->V);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		}
 		break;
 	    }
@@ -2356,7 +2356,7 @@
 
 		/* set default first */
 		VSETALL(mpt, 0.0);
-		*strp = "(origin)";
+		*strp = (char *)"(origin)";
 
 		/* XXX Try to use the first point of the selected edge */
 		if (es_eu != (struct edgeuse *)NULL &&
@@ -2405,7 +2405,7 @@
 		    if (!v->vg_p)
 			break;
 		    VMOVE(mpt, v->vg_p->coord);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		    break;
 		}
 		if (BU_LIST_IS_EMPTY(&s->lu_hd))
@@ -2428,7 +2428,7 @@
 		    if (!v->vg_p)
 			break;
 		    VMOVE(mpt, v->vg_p->coord);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		    break;
 		}
 		if (BU_LIST_IS_EMPTY(&s->eu_hd))
@@ -2443,7 +2443,7 @@
 		    if (!v->vg_p)
 			break;
 		    VMOVE(mpt, v->vg_p->coord);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		    break;
 		}
 		vu = s->vu_p;
@@ -2454,14 +2454,14 @@
 		    if (!v->vg_p)
 			break;
 		    VMOVE(mpt, v->vg_p->coord);
-		    *strp = "V";
+		    *strp = (char *)"V";
 		    break;
 		}
 	    }
 	default:
 	    Tcl_AppendResult(INTERP, "get_solid_keypoint: unrecognized solid type (setting keypoint to origin)\n", (char *)NULL);
 	    VSETALL(mpt, 0.0);
-	    *strp = "(origin)";
+	    *strp = (char *)"(origin)";
 	    break;
     }
     MAT4X3PNT(pt, mat, mpt);
@@ -2555,7 +2555,7 @@
     bn_mat_inv(es_invmat, es_mat);
 
     /* Establish initial keypoint */
-    es_keytag = "";
+    es_keytag = (char *)"";
     get_solid_keypoint(es_keypoint, &es_keytag, &es_int, es_mat);
 
     es_eu = (struct edgeuse *)NULL;	/* Reset es_eu */
@@ -7334,7 +7334,7 @@
 init_oedit_guts(void)
 {
     int id;
-    char *strp="";
+    char *strp=(char *)"";
 
     /* for safety sake */
     es_menu = 0;
@@ -8656,12 +8656,12 @@
 		 atof(argv[1]) * local2base,
 		 atof(argv[2]) * local2base,
 		 atof(argv[3]) * local2base);
-	    es_keytag = "user-specified";
+	    es_keytag = (char *)"user-specified";
 	    es_keyfixed = 1;
 	    break;
 	case 1:
 	    if (BU_STR_EQUAL(argv[1], "reset")) {
-		es_keytag = "";
+		es_keytag = (char *)"";
 		es_keyfixed = 0;
 		get_solid_keypoint(es_keypoint, &es_keytag,
 				   &es_int, es_mat);
@@ -9049,7 +9049,7 @@
     replot_editing_solid();
 
     /* Establish initial keypoint */
-    es_keytag = "";
+    es_keytag = (char *)"";
     get_solid_keypoint(es_keypoint, &es_keytag, &es_int, es_mat);
 
     /* Reset relevant variables */
@@ -9144,7 +9144,7 @@
 f_oedit_apply(ClientData UNUSED(clientData), Tcl_Interp *interp, int UNUSED(argc), const char *UNUSED(argv[]))
 {
     struct bu_vls vls = BU_VLS_INIT_ZERO;
-    char *strp="";
+    char *strp=(char *)"";
 
     CHECK_DBI_NULL;
     oedit_apply(UP); /* apply changes, but continue editing */
Index: src/mged/edarb.c
===================================================================
--- src/mged/edarb.c	(revision 54124)
+++ src/mged/edarb.c	(working copy)
@@ -829,7 +829,7 @@
      * Wherever the internal representation of the ARB as an ARB8
      * stores a redundant copy of a vertex, the string contains a '*'.
      */
-    static char *perm4[4][7] = {
+    static const char *perm4[4][7] = {
 	{"123*4***", "124*3***", "132*4***", "134*2***", "142*3***",
 	 "143*2***", 0},
 	{"213*4***", "214*3***", "231*4***", "234*1***", "241*3***",
@@ -839,14 +839,14 @@
 	{"412*3***", "413*2***", "421*3***", "423*1***", "431*2***",
 	 "432*1***", 0}
     };
-    static char *perm5[5][3] = {
+    static const char *perm5[5][3] = {
 	{"12345***", "14325***", 0},
 	{"21435***", "23415***", 0},
 	{"32145***", "34125***", 0},
 	{"41235***", "43215***", 0},
 	{0, 0, 0}
     };
-    static char *perm6[6][3] = {
+    static const char *perm6[6][3] = {
 	{"12345*6*", "15642*3*", 0},
 	{"21435*6*", "25631*4*", 0},
 	{"34126*5*", "36524*1*", 0},
@@ -854,7 +854,7 @@
 	{"51462*3*", "52361*4*", 0},
 	{"63254*1*", "64153*2*", 0}
     };
-    static char *perm7[7][2] = {
+    static const char *perm7[7][2] = {
 	{"1234567*", 0},
 	{0, 0},
 	{0, 0},
@@ -863,7 +863,7 @@
 	{"6237514*", 0},
 	{"7326541*", 0}
     };
-    static char *perm8[8][7] = {
+    static const char *perm8[8][7] = {
 	{"12345678", "12654378", "14325876", "14852376",
 	 "15624873", "15842673", 0},
 	{"21436587", "21563487", "23416785", "23761485",
@@ -960,10 +960,10 @@
 	bu_vls_free(&vls);
 	return TCL_ERROR;
     }
-    p = (es_type == 4) ? perm4[vertex] :
-	(es_type == 5) ? perm5[vertex] :
-	(es_type == 6) ? perm6[vertex] :
-	(es_type == 7) ? perm7[vertex] : perm8[vertex];
+    p = (es_type == 4) ? (char **)perm4[vertex] :
+	(es_type == 5) ? (char **)perm5[vertex] :
+	(es_type == 6) ? (char **)perm6[vertex] :
+	(es_type == 7) ? (char **)perm7[vertex] : (char **)perm8[vertex];
     for (;; ++p) {
 	if (*p == 0) {
 	    Tcl_AppendResult(interp, "ERROR: invalid vertex tuple: '",
Index: src/mged/qray.h
===================================================================
--- src/mged/qray.h	(revision 54124)
+++ src/mged/qray.h	(working copy)
@@ -60,7 +60,7 @@
 
 struct qray_fmt_data {
     char type;
-    char *fmt;
+    const char *fmt;
 };
 
 
Index: src/mged/chgview.c
===================================================================
--- src/mged/chgview.c	(revision 54124)
+++ src/mged/chgview.c	(working copy)
@@ -151,7 +151,7 @@
 void
 mged_center(point_t center)
 {
-    char *av[5];
+    const char *av[5];
     char xbuf[32];
     char ybuf[32];
     char zbuf[32];
@@ -227,7 +227,7 @@
 void
 size_reset(void)
 {
-    char *av[2];
+    const char *av[2];
 
     if (gedp == GED_NULL) {
 	return;
@@ -480,7 +480,7 @@
 	/* If we went from blank screen to non-blank, resize */
 	if (mged_variables->mv_autosize && initial_blank_screen && non_empty) {
 	    struct view_ring *vrp;
-	    char *av[2];
+	    const char *av[2];
 
 	    av[0] = "autoview";
 	    av[1] = (char *)0;
@@ -731,7 +731,7 @@
 {
     struct ged_display_list *gdlp;
     struct ged_display_list *next_gdlp;
-    char *av[2] = {"zap", (char *)0};
+    const char *av[2] = {"zap", (char *)0};
 
     CHECK_DBI_NULL;
 
@@ -2581,7 +2581,7 @@
 static void
 abs_zoom(void)
 {
-    char *av[3];
+    const char *av[3];
 
     /* Use initial Viewscale */
     if (-SMALL_FASTF < view_state->vs_absolute_scale && view_state->vs_absolute_scale < SMALL_FASTF) {
@@ -2620,7 +2620,7 @@
 mged_zoom(double val)
 {
     int ret;
-    char *av[3];
+    const char *av[3];
     char buf[32];
     Tcl_DString ds;
 
@@ -2949,7 +2949,7 @@
 	double a2,
 	double a3)		/* DOUBLE angles, in degrees */
 {
-    char *av[5];
+    const char *av[5];
     char xbuf[32];
     char ybuf[32];
     char zbuf[32];
@@ -2993,7 +2993,7 @@
     point_t new_model_center;
     vect_t diff;
     mat_t delta;
-    char *av[5];
+    const char *av[5];
     char xbuf[32];
     char ybuf[32];
     char zbuf[32];
Index: src/mged/tedit.c
===================================================================
--- src/mged/tedit.c	(revision 54124)
+++ src/mged/tedit.c	(working copy)
@@ -161,7 +161,7 @@
 {
     int i;
     FILE *fp;
-    char *eol = "\n";
+    char *eol = (char *)"\n";
 
     CHECK_DBI_NULL;
 
Index: src/mged/mged.c
===================================================================
--- src/mged/mged.c	(revision 54124)
+++ src/mged/mged.c	(working copy)
@@ -1088,10 +1088,10 @@
     while ((c = bu_getopt(argc, argv, "a:d:hbicnorx:X:v?")) != -1) {
 	switch (c) {
 	    case 'a':
-		attach = bu_optarg;
+		attach = (char *)bu_optarg;
 		break;
 	    case 'd':
-		dpy_string = bu_optarg;
+		dpy_string = (char *)bu_optarg;
 		break;
 	    case 'r':
 		read_only_flag = 1;
Index: src/mged/mged.h
===================================================================
--- src/mged/mged.h	(revision 54124)
+++ src/mged/mged.h	(working copy)
@@ -225,9 +225,9 @@
 extern void button(int bnum);
 extern void press(char *str);
 extern char *label_button(int bnum);
-extern int not_state(int desired, char *str);
-extern int chg_state(int from, int to, char *str);
-extern void state_err(char *str);
+extern int not_state(int desired, const char *str);
+extern int chg_state(int from, int to, const char *str);
+extern void state_err(const char *str);
 
 extern int invoke_db_wrapper(Tcl_Interp *interpreter, int argc, const char *argv[]);
 
@@ -260,7 +260,7 @@
 /**
  * Editor States
  */
-extern char *state_str[]; /* identifying strings */
+extern const char *state_str[]; /* identifying strings */
 #define ST_VIEW		1 /* Viewing only */
 #define ST_S_PICK	2 /* Picking for Solid Edit */
 #define ST_S_EDIT	3 /* Solid Editing */
Index: src/libfb/if_ogl.c
===================================================================
--- src/libfb/if_ogl.c	(revision 54124)
+++ src/libfb/if_ogl.c	(working copy)
@@ -248,7 +248,7 @@
     char c;
     long mask;
     long value;
-    char *help;
+    const char *help;
 } modeflags[] = {
     { 'p',	MODE_1MASK, MODE_1MALLOC,
       "Private memory - else shared" },
@@ -2455,10 +2455,10 @@
     ogl_flush,		/* flush output */
     ogl_free,		/* free resources */
     ogl_help,		/* help message */
-    "Silicon Graphics OpenGL",	/* device description */
+    (char *)"Silicon Graphics OpenGL",	/* device description */
     XMAXSCREEN+1,	/* max width */
     YMAXSCREEN+1,	/* max height */
-    "/dev/ogl",		/* short device name */
+    (char *)"/dev/ogl",		/* short device name */
     512,		/* default/current width */
     512,		/* default/current height */
     -1,			/* select file desc */
Index: src/libfb/if_debug.c
===================================================================
--- src/libfb/if_debug.c	(revision 54124)
+++ src/libfb/if_debug.c	(working copy)
@@ -343,10 +343,10 @@
     deb_flush,
     deb_free,
     deb_help,
-    "Debugging Interface",
+    (char *)"Debugging Interface",
     32*1024,		/* max width */
     32*1024,		/* max height */
-    "/dev/debug",
+    (char *)"/dev/debug",
     512,			/* current/default width */
     512,			/* current/default height */
     -1,			/* select fd */
Index: src/libfb/if_disk.c
===================================================================
--- src/libfb/if_disk.c	(revision 54124)
+++ src/libfb/if_disk.c	(working copy)
@@ -340,10 +340,10 @@
     fb_null,		/* flush */
     dsk_free,
     dsk_help,
-    "Disk File Interface",
+    (char *)"Disk File Interface",
     32*1024,		/* the sky's really the limit here */
     32*1024,
-    "filename",		/* not in list so name is safe */
+    (char *)"filename",		/* not in list so name is safe */
     512,
     512,
     -1,			/* select fd */
Index: src/libfb/if_remote.c
===================================================================
--- src/libfb/if_remote.c	(revision 54124)
+++ src/libfb/if_remote.c	(working copy)
@@ -121,7 +121,7 @@
 	/* 0 */
 	port = atoi(file);
 	bu_strlcpy(host, "localhost", length);
-	dev = "";
+	dev = (char *)"";
 	goto done;
     }
     if ((colon = strchr(file, ':')) != NULL) {
@@ -139,7 +139,7 @@
 	    if (numeric(rest)) {
 		/* :0 or host:0 */
 		port = atoi(rest);
-		dev = "";
+		dev = (char *)"";
 		goto done;
 	    } else {
 		/* check for [host]:0:[dev] */
@@ -791,10 +791,10 @@
     rem_flush,
     rem_free,
     rem_help,
-    "Remote Device Interface",	/* should be filled in */
+    (char *)"Remote Device Interface",	/* should be filled in */
     32*1024,			/* " */
     32*1024,			/* " */
-    "host:[dev]",
+    (char *)"host:[dev]",
     512,
     512,
     -1,				/* select fd */
Index: src/libfb/fbserv_obj.c
===================================================================
--- src/libfb/fbserv_obj.c	(revision 54124)
+++ src/libfb/fbserv_obj.c	(working copy)
@@ -307,7 +307,7 @@
 
     want = 5*NET_LONG_LEN;
     if (pkg_send(MSG_RETURN, rbuf, want, pcp) != want)
-	comm_error("pkg_send fb_open reply\n");
+	comm_error((char *)"pkg_send fb_open reply\n");
 
     if (buf) {
 	(void)free(buf);
@@ -346,7 +346,7 @@
 
     /* Don't really free framebuffer */
     if (pkg_send(MSG_RETURN, rbuf, NET_LONG_LEN, pcp) != NET_LONG_LEN)
-	comm_error("pkg_send fb_free reply\n");
+	comm_error((char *)"pkg_send fb_free reply\n");
 
     if (buf) {
 	(void)free(buf);
@@ -996,7 +996,7 @@
 	{ 0, NULL, NULL, NULL }
     };
 
-    new_client(fbsp, pkg_getclient(fd, pswitch, comm_error, 0), 0);
+    new_client(fbsp, pkg_getclient(fd, pswitch, comm_error, 0), (Tcl_Channel)0);
 }
 #endif /* if defined(_WIN32) && !defined(__CYGWIN__) */
 
Index: src/libfb/if_stack.c
===================================================================
--- src/libfb/if_stack.c	(revision 54124)
+++ src/libfb/if_stack.c	(working copy)
@@ -421,10 +421,10 @@
     stk_flush,		/* flush output */
     stk_free,		/* free resources */
     stk_help,		/* help function */
-    "Multiple Device Stacker", /* device description */
+    (char *)"Multiple Device Stacker", /* device description */
     32*1024,		/* max width */
     32*1024,		/* max height */
-    "/dev/stack",		/* short device name */
+    (char *)"/dev/stack",		/* short device name */
     4,			/* default/current width */
     4,			/* default/current height */
     -1,			/* select fd */
Index: src/libfb/if_X.c
===================================================================
--- src/libfb/if_X.c	(revision 54124)
+++ src/libfb/if_X.c	(working copy)
@@ -119,7 +119,7 @@
     char c;
     long mask;
     long value;
-    char *help;
+    const char *help;
 } modeflags[] = {
     { 'l',	MODE_1MASK, MODE_1LINGERING,
       "Lingering window" },
@@ -1720,10 +1720,10 @@
     X_flush,		/* flush */
     X_close_fb,		/* free */
     X_help,			/* help message */
-    "X Window System (X11) 8-bit and 1-bit visuals only",
+    (char *)"X Window System (X11) 8-bit and 1-bit visuals only",
     2048,			/* max width */
     2048,			/* max height */
-    "/dev/xold",		/* short device name */
+    (char *)"/dev/xold",		/* short device name */
     512,			/* default/current width */
     512,			/* default/current height */
     -1,			/* select file desc */
Index: src/libfb/if_null.c
===================================================================
--- src/libfb/if_null.c	(revision 54124)
+++ src/libfb/if_null.c	(working copy)
@@ -238,10 +238,10 @@
     null_flush,		/* flush output */
     null_free,		/* free resources */
     null_help,		/* help message */
-    "Null Device",	/* device description */
+    (char *)"Null Device",	/* device description */
     32*1024,		/* max width */
     32*1024,		/* max height */
-    "/dev/null",	/* short device name */
+    (char *)"/dev/null",	/* short device name */
     512,		/* default/current width */
     512,		/* default/current height */
     -1,			/* select fd */
Index: src/libfb/if_X24.c
===================================================================
--- src/libfb/if_X24.c	(revision 54124)
+++ src/libfb/if_X24.c	(working copy)
@@ -224,7 +224,7 @@
     char c;
     unsigned long mask;
     unsigned long value;
-    char *help;
+    const char *help;
 } modeflags[] = {
     { 'l',	MODE1_MASK, MODE1_LINGERING,
       "Lingering window" },
@@ -571,7 +571,7 @@
     /* Open the display - use the env variable DISPLAY */
     xname = XDisplayName(NULL);
     /* Attempt one level of fallback, esp. for fbserv daemon */
-    if (!xname || *xname == '\0') xname = ":0";
+    if (!xname || *xname == '\0') xname = (char *)":0";
 
     if ((xi->xi_dpy = XOpenDisplay(xname)) == NULL) {
 	fb_log("if_X: Can't open X display \"%s\"\n", xname);
@@ -3683,10 +3683,10 @@
     X24_flush,		/* flush output */
     X24_free,		/* free resources */
     X24_help,		/* help message */
-    "24 bit X Window System (X11)",	/* device description */
+    (char *)"24 bit X Window System (X11)",	/* device description */
     2048,		/* max width */
     2048,		/* max height */
-    "/dev/X",		/* short device name */
+    (char *)"/dev/X",		/* short device name */
     512,		/* default/current width */
     512,		/* default/current height */
     -1,			/* select file desc */
Index: src/libfb/if_mem.c
===================================================================
--- src/libfb/if_mem.c	(revision 54124)
+++ src/libfb/if_mem.c	(working copy)
@@ -60,7 +60,7 @@
     char c;
     long mask;
     long value;
-    char *help;
+    const char *help;
 } modeflags[] = {
     { 'w',	MODE_1MASK, MODE_1IMMEDIATE,
       "Write thru mode - pass writes directly to attached frame buffer" },
@@ -450,10 +450,10 @@
     mem_flush,		/* flush */
     mem_close,		/* free */
     mem_help,		/* help message */
-    "Memory Buffer",	/* device description */
+    (char *)"Memory Buffer",	/* device description */
     8192,		/* max width */
     8192,		/* max height */
-    "/dev/mem",		/* short device name */
+    (char *)"/dev/mem",		/* short device name */
     512,		/* default/current width */
     512,		/* default/current height */
     -1,			/* select fd */
